# Find Content Ideas

## POST /findContentIdeas

> Find Content Ideas

```json
{"openapi":"3.0.0","info":{"title":"Ranklytics API","version":"1.0.0"},"tags":[{"name":"Content","description":"Content"}],"servers":[{"url":"https://api.ranklytics.ai","description":"Ranklytics API Server"}],"security":[{"apiKey":[],"secretKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"API Key for authentication","name":"X-API-KEY","in":"header"}}},"paths":{"/findContentIdeas":{"post":{"tags":["Content"],"summary":"Find Content Ideas","operationId":"e3903637fd2fc1d7397da5e0cf9e97ee","parameters":[{"name":"offset","in":"query","schema":{"type":"integer"}},{"name":"limit","in":"query","schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"project_id":{"description":"Project ID","type":"integer"},"keyword":{"description":"Keyword to find content ideas for","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"offset":{"description":"Number of results skipped","type":"integer"},"limit":{"description":"Maximum number of results returned","type":"integer"},"ideas":{"type":"array","items":{"properties":{"topic":{"description":"Content topic suggestion","type":"string"},"in_account":{"description":"Whether topic is already in account (1) or not (0)","type":"integer"}},"type":"object"}}},"type":"object"}}}},"400":{"description":"Invalid API Credentials or Project not found","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"properties":{"status":{"type":"string"},"message":{"type":"string"}},"type":"object"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ranklytics.ai/endpoints/find-content-ideas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
